Skip to main content
GET
/
marketing
/
v3
/
marketing-events
Get all marketing event
curl --request GET \
  --url https://api.hubapi.com/marketing/v3/marketing-events/ \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "createdAt": "2023-11-07T05:31:56Z",
      "customProperties": [
        {
          "name": "<string>",
          "value": "<string>"
        }
      ],
      "eventName": "<string>",
      "objectId": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z",
      "appInfo": {
        "id": "<string>",
        "name": "<string>"
      },
      "attendees": 123,
      "cancellations": 123,
      "endDateTime": "2023-11-07T05:31:56Z",
      "eventCancelled": true,
      "eventCompleted": true,
      "eventDescription": "<string>",
      "eventOrganizer": "<string>",
      "eventStatus": "<string>",
      "eventType": "<string>",
      "eventUrl": "<string>",
      "externalEventId": "<string>",
      "noShows": 123,
      "registrants": 123,
      "startDateTime": "2023-11-07T05:31:56Z"
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Requires one of the following products or higher.
Marketing HubMarketing Hub -Free
Sales HubSales Hub -Free
Service HubService Hub -Free
Content HubContent Hub -Free
Data HubData Hub -Free

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

after
string

The cursor indicating the position of the last retrieved item.

limit
integer<int32>
default:10

The limit for response size. The default value is 10, the max number is 100

Response

successful operation

results
object[]
required
paging
object
Last modified on January 28, 2026